Stampfactory
Dokumentation
Schichten & Bedarfe

Budget anlegen

POST
/units/{unit}/roster_budgets
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

unit*string

The unit ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/units/497f6eca-6276-4993-bfeb-53cbbbba6f08/roster_budgets" \  -H "Content-Type: application/json" \  -d '{    "period": "weekly",    "amount_cents": 0,    "effective_from": "2019-08-24T14:15:22Z"  }'
{  "data": {    "id": "string",    "unit_id": "string",    "period": "string",    "amount_cents": "string",    "amount": "string",    "currency": "string",    "effective_from": "string",    "created_by": "string",    "created_at": "string",    "updated_at": "string"  }}